Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class EclipseModel

- org.gradle.plugins.ide.eclipse.model.EclipseModel

- DSL-friendly model of the Eclipse project information. First point of entry for customizing Eclipse project generation.

       apply plugin: 'java'
       apply plugin: 'war'  //needed for wtp
       apply plugin: 'eclipse'

       eclipse {
         pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

         project {
           //see docs for EclipseProject
         }

         classpath {
           //see docs for EclipseClasspath
         }

         wtp {
           //see docs for EclipseWtp
         }
       }

  More examples in docs for EclipseProject, EclipseClasspath, EclipseWtp

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `EclipseClasspath` | `classpath` Configures eclipse classpath information
    `EclipseJdt` | `jdt` Configures eclipse java compatibility information (jdt)
    `EclipseProject` | `project` Configures eclipse project information
    `EclipseWtp` | `wtp` Configures eclipse wtp information

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `classpath(groovy.lang.Closure closure)` Configures eclipse classpath information
    `void` | `jdt(groovy.lang.Closure closure)` Configures eclipse java compatibility information (jdt)
    `void` | `pathVariables(Map<String, File> pathVariables)` Adds path variables to be used for replacing absolute paths in classpath entries.
    `void` | `project(groovy.lang.Closure closure)` Configures eclipse project information
    `void` | `wtp(groovy.lang.Closure closure)` Configures eclipse wtp information

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### EclipseClasspath classpath

      Configures eclipse classpath information

      For examples see docs for EclipseClasspath

    - #### EclipseJdt jdt

      Configures eclipse java compatibility information (jdt)

      For examples see docs for EclipseProject

    - #### EclipseProject project

      Configures eclipse project information

      For examples see docs for EclipseProject

    - #### EclipseWtp wtp

      Configures eclipse wtp information

      For examples see docs for EclipseWtp

  - ### Method Detail

    - #### void classpath(groovy.lang.Closure closure)

      Configures eclipse classpath information

      For examples see docs for EclipseClasspath

      Parameters:
        closure

    - #### void jdt(groovy.lang.Closure closure)

      Configures eclipse java compatibility information (jdt)

      For examples see docs for EclipseProject

      Parameters:
        closure

    - #### void pathVariables(Map<String, File> pathVariables)

      Adds path variables to be used for replacing absolute paths in classpath entries.

      If the beginning of the absolute path of a library or other path-related element matches a value of a variable, a variable entry is used. The matching part of the library path is replaced with the variable name.

      For example see docs for EclipseModel

      Parameters:
        `pathVariables` - A map with String->File pairs.

    - #### void project(groovy.lang.Closure closure)

      Configures eclipse project information

      For examples see docs for EclipseProject

      Parameters:
        closure

    - #### void wtp(groovy.lang.Closure closure)

      Configures eclipse wtp information

      For examples see docs for EclipseWtp

      Parameters:
        closure